# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_asym.c File Reference

PCM Asymmetrical Plugin Interface. More...

## Functions

int | _snd_pcm_asym_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new asym stream PCM.

## Detailed Description

PCM Asymmetrical Plugin Interface.

Author:
  Takashi Iwai <tiwai@suse.de>

Date:
  2003

## Function Documentation

int _snd_pcm_asym_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new asym stream PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with copy PCM description
  | stream | Stream type
  | mode | Stream mode

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines